

Display number of slab, mapped and pagetable pages in the sysrq-M output.


---

 25-akpm/mm/page_alloc.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

diff -puN mm/page_alloc.c~sysrq-m-show-slab mm/page_alloc.c
--- 25/mm/page_alloc.c~sysrq-m-show-slab	2004-03-31 22:09:18.903274256 -0800
+++ 25-akpm/mm/page_alloc.c	2004-03-31 22:10:17.522362800 -0800
@@ -1041,13 +1041,16 @@ void show_free_areas(void)
 		K(nr_free_highpages()));
 
 	printk("Active:%lu inactive:%lu dirty:%lu writeback:%lu "
-		"unstable:%lu free:%u\n",
+		"unstable:%lu free:%u slab:%lu mapped:%lu pagetables:%lu\n",
 		active,
 		inactive,
 		ps.nr_dirty,
 		ps.nr_writeback,
 		ps.nr_unstable,
-		nr_free_pages());
+		nr_free_pages(),
+		ps.nr_slab,
+		ps.nr_mapped,
+		ps.nr_page_table_pages);
 
 	for_each_zone(zone) {
 		int i;

_
